//////////////////////////////////////////
//
//		main.cpp
//
//		Class Project
//
//
////////////////////////////////////////

////////////////////////////////////////
//		includefile
////////////////////////////////////////
#include "main.h"
#include "player.h"
#include <math.h>

////////////////////////////////////////
//		定数定義
////////////////////////////////////////
#define MAX_PLAYER (3)
//////////////////////////////////////
CPlayer aPlayer[MAX_PLAYER];

//メイン関数
void main( void )
{

	int nNumPlayer;
	//CPlayer aPlayer[3];

	int arc=0;

	while(1){

	 float radius = ( arc * 3.14159/180 );

	 float sincalc = sin(radius);

	 printf("sin%d : %f",arc,sincalc);

	 arc+=30;

	 rewind(stdin);
	 getchar();

	}
	//プレイヤー初期化処理
	Init();

	//プレイヤー入力処理
	nNumPlayer = Input();

	//プレイヤーの出力処理
	Output(&nNumPlayer);

	//プレイヤーの終了処理
	Uninit();

	rewind(stdin);
	getchar();

}
//初期化処理
void Init()
{
	for(int inc=0;inc < 3;inc++){
		aPlayer[inc].Init();
	}
}
//終了処理
void Uninit()
{
	for(int inc=0;inc < 3;inc++){
		aPlayer[inc].Uninit();
	}
}
//入力処理
int Input()
{
	
	int nNumPlayer;

	//人数の入力
	printf("何人分入力しますか? > ");
	scanf("%d",&nNumPlayer);

	//入力処理
	for(int inc=0 ;inc < nNumPlayer ; inc++)
	{
		aPlayer[inc].Input();
	}

	return nNumPlayer;
}
//出力処理
void Output( int *nNumPlayer)
{

	//出力処理
	for(int inc=0;inc < *nNumPlayer;inc++){

		printf("%d回目\n",( inc+1 ));

		//プレイヤーデータの出力
		aPlayer[inc].Output();
	}

}
